Subject: RE: bug#27801: 26.0.50; Dired: Use relative file names when DIR-OR-LIST is a cons

From: Drew Adams <[email-masked]>
Date: Sun, 23 Jul 2017 20:47:51 -0700 (PDT)

> ;; Following form shows the full file name in the Dired buffer.
> (let* ((dir source-directory)
>        (file1 (expand-file-name "lisp/subr.el" dir))
>        (file2 (expand-file-name "src/data.c" dir)))
>   (dired (list dir file1 file2)))
> 
> ;; Usually, Dired just shows the relative file name to
> ;; 'default-directory'.  That is more clear, specially for
> ;; long file names.

Sorry, but I've only read this bug report quickly - no time now.

If you are suggesting that when DIR-OR-LIST is a cons the
file names shown should be relative then I think I disagree
strongly.

The typical use case for a cons DIR-OR-LIST is a list
of files from anywhere, in which case absolute file
names are appropriate.

Again, sorry if I've read too quickly and misunderstood.